<?php

session_start();

require_once ("../../config/Cado.php");



require_once("../caja/cCaja.php");

$oCaja = new cCaja();



require_once ("../formatos/formato.php");



function responder($estado=false, $mensaje='', $datos=[])

{

	header('Content-type: application/json');

	echo json_encode([

		'est' => $estado,

		'msj' => $mensaje,

		'dat' => $datos,

		]);

	exit;

}



if($_POST['action']=='agregar')

{

	$diferencia=moneda_mysql($_POST['com_tot'])-moneda_mysql($_POST['compag_tot']);

	$diferencia=formato_money($diferencia);

	$diferencia=moneda_mysql($diferencia);

	$pago=moneda_mysql($_POST['compag_mon']);



	if($pago>0)

	{

		if($pago>$diferencia)

		{	

			// if($diferencia==0)

			// {

			// 	responder(false, 'Monto completado.');

			// }

			// else

			// {

				responder(false, 'Monto no puede ser mayor que '.$diferencia, ['tipo' => 'compag_mon', 'mon' => $diferencia] );

			// }	

			

		}





		if($_POST['compag_for']==1 and $_POST['compag_mod']=="")

		{

			responder(false, 'Seleccione Modo.', ['tipo' => 'compag_mod']);

		}



		if($_POST['compag_monid']=="")

		{

			responder(false, 'Seleccione el tipo de moneda.', ['tipo' => 'compag_numdia']);

		}

		

		if($_POST['compag_for']==2 || $_POST['compag_for']==3 and $_POST['compag_numdia']=="")

		{

			responder(false, 'Ingrese N° días.', ['tipo' => 'compag_numdia']);

		}

		

		if($_POST['compag_mod']!=1 && $_POST['compag_nroope']=="" )

		{

			responder(false, 'Ingrese N° de operacion.', ['tipo' => 'compag_nroope']);

		}

		

		

		

		//echo $_POST['compag_numope'].'-';

		

		$_SESSION['compag_mon'][]		= moneda_mysql($_POST['compag_mon']);

		$_SESSION['compag_for'][]		= $_POST['compag_for'];

		$_SESSION['compag_mod'][]		= $_POST['compag_mod'];

		$_SESSION['compag_numdia'][]	= $_POST['compag_numdia'];

		$_SESSION['compag_fecven'][]	= $_POST['compag_fecven'];

		$_SESSION['compag_nroope'][]	= $_POST['compag_nroope'];



		responder(true, 'Correcto', ['tipo' => 'agregado']);	

	}

	else

	{

		if($diferencia==0)

		{

			responder(false, 'Monto completado.');

		}

		else

		{

			responder(false, 'Ingrese monto.', ['tipo' => 'compag_mon', 'mon' => $diferencia]);

		}

		

	}

}



//quitar valores del array

if($_POST['action']=='quitar'){

	unset($_SESSION['compag_mon'][$_POST['item_id']]);

	unset($_SESSION['compag_for'][$_POST['item_id']]);

	unset($_SESSION['compag_mod'][$_POST['item_id']]);

	unset($_SESSION['compag_numdia'][$_POST['item_id']]);

	unset($_SESSION['compag_fecven'][$_POST['item_id']]);

	unset($_SESSION['compag_numope'][$_POST['item_id']]);



	responder(true, 'Correcto');

}



//restablecer o eliminar array

if($_POST['action']=='restablecer')

{

	unset($_SESSION['compag_mon']);

	unset($_SESSION['compag_for']);

	unset($_SESSION['compag_mod']);

	unset($_SESSION['compag_numdia']);

	unset($_SESSION['compag_fecven']);

	unset($_SESSION['compag_numope']);



	responder(true, 'Correcto');

}



?>